Subject: Re: [bug#73288] Request for merging "mesa-updates" branch

From: Z572 <[email-masked]>
Date: Sun, 03 Nov 2024 18:04:08 +0800

John Kehayias via Guix-patches via <[email-masked]> writes:

> Hello Guix,
>
> The mesa-updates branch I think is just almost ready for
> merging. Besides some other fixes and updates, the main series is
> tracked at <https://issues.guix.gnu.org/73071>. There is an update to
> add NVK support to mesa for x86_64-linux which I need to review and
> push (and rebase to get more fixes from master).
>
> Coverage looks good for x86_64 and i686 on QA, with powerpc64le as
> well on Berlin. I worry that aarch64 and others may have stalled out
> on Bordeaux. Perhaps Efraim can chime in there.
>
> With an update for NVK for x86_64, that will take maybe a day to catch
> up again in builds but tends to be pretty quick. I'm not aware of
> other blockers.
>
> Thanks!
> John

maybe is time to merge?

see https://qa.guix.gnu.org/branch/mesa-updates
ci       have x86_64-linux 96.3%, i686-linux 87.7%, powerpc64le-linux 85.5%
bordeaux have x86_64-linux 91.5%, i686-linux 77.8%, armhf-linux 79.4%, aarch64-linux 89.0%.

Is there anything else in the way?